Loading...
Searching...
No Matches
sdbus::Error Class Reference

`#include <Error.h>`

Inheritance diagram for sdbus::Error:

## Classes

class | Name

## Public Member Functions

| Error (Name name, const char *message=nullptr)
| Error (Name name, std::string message)
const Name & | getName () const
const std::string & | getMessage () const
bool | isValid () const

## Detailed Description

Represents a common sdbus-c++ exception.

The documentation for this class was generated from the following file:

- include/sdbus-c++/Error.h